/**
 * @packageDocumentation
 * # Features
 *
 * - Runtime validation
 * - Precise error reporting
 * - Static types
 * - TS Documentation (auto-completion goodness).
 * - Replace **missing** / **wrong** content with **fake** / **default** / **example**.
 */
import { integration } from './integration.js';
import { generateChecker, generateAllCheckers } from './schema-to-validator.js';
import { itemChecker } from './validator.js';
export { 
/* ———————————————————————————————————————————————————————————————————————— */
itemChecker, generateChecker, generateAllCheckers, };
export default integration;
