/* HACK: For docs only (no interface extraction, yet) */
// export const defaultSettings = {
// 	baseDir: '',
// 	outDir: undefined,
// } as const;
const integration = (settings = {}) => ({
    name: 'content-validator',
    hooks: {
        'astro:server:setup': async ({ server }) => {
            const { generateChecker, generateAllCheckers } = await import('./schema-to-validator.js');
            await generateAllCheckers(settings.baseDir, settings.outDir);
            server.watcher.on('all', (_, filePath) => {
                // TODO: Minimatch, with user-defined glob
                if (filePath.endsWith('.schema.yaml')) {
                    generateChecker(filePath, settings.outDir).catch((e) => console.log(e));
                }
            });
        },
    },
});
export { integration };
